LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;
USE ieee.std_logic_unsigned.all;

ENTITY bascule_d IS
	PORT(
		d,clk			: IN std_logic;
		preset,reset	: IN std_logic;
		q				: OUT std_logic
	);
END bascule_d;

ARCHITECTURE arch OF bascule_d IS
	BEGIN
TOTO	:	PROCESS(clk,reset,preset)
			BEGIN

			IF (clk'event AND clk='1') THEN
				IF (preset='1') THEN
					q <= '1';
				ELSIF (reset='1') THEN
					q <= '0';
				ELSE
					q <= d;
				END IF;
			END IF;

			END PROCESS TOTO;
END arch;
