LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY latche IS
	PORT(
		d	: IN std_logic;
		enable	: IN std_logic;
		q	: INOUT std_logic
	);
END latche;

ARCHITECTURE a_latch OF latche IS
	BEGIN
	q<=	'0'	WHEN enable='1' AND d='0' ELSE
		'1'	WHEN enable='1' AND d='1' ELSE
		q	WHEN enable='0' ELSE
		'0';
END a_latch;
