LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY sn7475 IS
	PORT(
		entree	: IN std_logic_vector(3 DOWNTO 0);
		enable	: IN std_logic_vector(1 DOWNTO 0);
		sortie	: INOUT std_logic_vector(3 DOWNTO 0)
	);
END sn7475;

ARCHITECTURE a_sn7475 OF sn7475 IS

	COMPONENT latche IS
		PORT(
		d		: IN std_logic;
		enable	: IN std_logic;
		q		: INOUT std_logic
		);
	END COMPONENT;

	BEGIN

	MO1: latche PORT MAP(entree(0),enable(0),sortie(0));
	MO2: latche PORT MAP(entree(1),enable(0),sortie(1));
	MO3: latche PORT MAP(entree(2),enable(1),sortie(2));
	MO4: latche PORT MAP(entree(3),enable(1),sortie(3));

END a_sn7475;
