LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY SN74LS175 IS
	PORT(
			entree	: IN std_logic_vector(3 DOWNTO 0);
			clr		: IN std_logic;
			clk		: IN std_logic;
			sortie	: OUT std_logic_vector(3 DOWNTO 0)
	);
END SN74LS175;

ARCHITECTURE a_74ls175 OF SN74LS175 IS

	COMPONENT bascule_d IS
		PORT(
			d,clk			: IN std_logic;
			preset,reset	: IN std_logic;
			q				: OUT std_logic
		);
	END COMPONENT;

	SIGNAL masse : std_logic;

	BEGIN
	masse<='0';
	MO1: bascule_d PORT MAP(entree(0),clk,masse,clr,sortie(0));
	MO2: bascule_d PORT MAP(entree(1),clk,masse,clr,sortie(1));
	MO3: bascule_d PORT MAP(entree(2),clk,masse,clr,sortie(2));
	MO4: bascule_d PORT MAP(entree(3),clk,masse,clr,sortie(3));
END a_74ls175;
